Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class OutputFormatExtended

    java.lang.Object
      |
      +--org.apache.serialize.OutputFormat
            |
            +--org.apache.xalan.templates.OutputFormatExtended

public class OutputFormatExtended
extends OutputFormat

This class extends OutputFormat to act as a bean that has methods that match the algorithmically generated method signatures of the processor. It also has flags that tell if a given method has been set or not by the stylesheet.

Constructor Summary
`OutputFormatExtended()` Constructs a new output format with the default values.

Method Summary
`boolean` | `cdataElementsHasBeenSet()`
`boolean` | `doctypePublicHasBeenSet()`
`boolean` | `doctypeSystemHasBeenSet()`
`boolean` | `encodingHasBeenSet()`
`boolean` | `indentHasBeenSet()`
`boolean` | `mediaTypeHasBeenSet()`
`boolean` | `methodHasBeenSet()`
`boolean` | `nonEscapingElementsHasBeenSet()`
`boolean` | `omitXmlDeclarationHasBeenSet()`
`void` | `setCdataSectionElements(QName[] elements)` The cdata-section-elements attribute.
`void` | `setCdataSectionElements(java.util.Vector elements)` The cdata-section-elements attribute.
`void` | `setDoctypePublic(java.lang.String publicId)` The doctype-public attribute.
`void` | `setDoctypeSystem(java.lang.String systemId)` The doctype-system attribute.
`void` | `setEncoding(java.lang.String encoding)` Sets the encoding for this output method.
`void` | `setIndent(boolean indent)` Sets the indentation on and off.
`void` | `setMediaType(java.lang.String mediaType)` Sets the media type.
`void` | `setMethod(QName method)` Sets the method for this output format.
`void` | `setMethod(java.lang.String method)` Sets the method for this output format.
`void` | `setNonEscapingElements(QName[] nonEscapingElements)` Sets the list of elements for which text node children should be output unescaped (no character references).
`void` | `setOmitXmlDeclaration(boolean omit)` The omit-xml-declaration attribute.
`void` | `setOmitXMLDeclaration(boolean omit)` Sets XML declaration omitting on and off.
`void` | `setStandalone(boolean standalone)` Sets document DTD standalone.
`void` | `setVersion(java.lang.String version)` Sets the version for this output method.
`boolean` | `standaloneHasBeenSet()`
`boolean` | `versionHasBeenSet()`

Methods inherited from class org.apache.serialize.OutputFormat
`getCDataElements, getDoctypePublicId, getDoctypeSystemId, getEncoding, getIndent, getIndentAmount, getMediaType, getMethod, getNonEscapingElements, getOmitXMLDeclaration, getPreserveSpace, getStandalone, getVersion, setCDataElements, setDoctypePublicId, setDoctypeSystemId, setIndentAmount, setPreserveSpace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputFormatExtended

    public OutputFormatExtended()

  Constructs a new output format with the default values.

Method Detail

### methodHasBeenSet

    public boolean methodHasBeenSet()

### versionHasBeenSet

    public boolean versionHasBeenSet()

### indentHasBeenSet

    public boolean indentHasBeenSet()

### encodingHasBeenSet

    public boolean encodingHasBeenSet()

### mediaTypeHasBeenSet

    public boolean mediaTypeHasBeenSet()

### doctypeSystemHasBeenSet

    public boolean doctypeSystemHasBeenSet()

### doctypePublicHasBeenSet

    public boolean doctypePublicHasBeenSet()

### omitXmlDeclarationHasBeenSet

    public boolean omitXmlDeclarationHasBeenSet()

### standaloneHasBeenSet

    public boolean standaloneHasBeenSet()

### cdataElementsHasBeenSet

    public boolean cdataElementsHasBeenSet()

### nonEscapingElementsHasBeenSet

    public boolean nonEscapingElementsHasBeenSet()

### setDoctypePublic

    public void setDoctypePublic(java.lang.String publicId)

  The doctype-public attribute.

### setDoctypeSystem

    public void setDoctypeSystem(java.lang.String systemId)

  The doctype-system attribute.

### setOmitXmlDeclaration

    public void setOmitXmlDeclaration(boolean omit)

  The omit-xml-declaration attribute.

### setCdataSectionElements

    public void setCdataSectionElements(java.util.Vector elements)

  The cdata-section-elements attribute.

### setCdataSectionElements

    public void setCdataSectionElements(QName[] elements)

  The cdata-section-elements attribute.

### setMethod

    public void setMethod(java.lang.String method)

  Sets the method for this output format.
  Parameters:
    `method` - The output method, or null
  Overrides:
    setMethod in class OutputFormat
  See Also:
    `OutputFormat.getMethod()`

### setMethod

    public void setMethod(QName method)

  Sets the method for this output format.
  Parameters:
    `method` - The output method, or null
  See Also:
    `OutputFormat.getMethod()`

### setVersion

    public void setVersion(java.lang.String version)

  Sets the version for this output method. For XML the value would be "1.0", for HTML it would be "4.0".
  Parameters:
    `version` - The output method version, or null
  Overrides:
    setVersion in class OutputFormat
  See Also:
    `OutputFormat.getVersion()`

### setIndent

    public void setIndent(boolean indent)

  Sets the indentation on and off. When set on, the default indentation level and default line wrapping is used (see `#DEFAULT_INDENT` and `#DEFAULT_LINE_WIDTH`). To specify a different indentation level or line wrapping, use `setIndent(boolean)` and `#setLineWidth`.

  This method signature is required by the getSetterMethodName method. See also the XSLTSchema class.

  Parameters:
    `on` - True if indentation should be on
  Overrides:
    setIndent in class OutputFormat

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Sets the encoding for this output method. If no encoding was specified, the default is always "UTF-8". Make sure the encoding is compatible with the one used by the `Writer`.
  Parameters:
    `encoding` - The encoding, or null
  Overrides:
    setEncoding in class OutputFormat
  See Also:
    `OutputFormat.getEncoding()`

### setMediaType

    public void setMediaType(java.lang.String mediaType)

  Sets the media type.
  Parameters:
    `mediaType` - The specified media type
  Overrides:
    setMediaType in class OutputFormat
  See Also:
    `OutputFormat.getMediaType()`

### setOmitXMLDeclaration

    public void setOmitXMLDeclaration(boolean omit)

  Sets XML declaration omitting on and off.
  Parameters:
    `omit` - True if XML declaration should be ommited
  Overrides:
    setOmitXMLDeclaration in class OutputFormat

### setStandalone

    public void setStandalone(boolean standalone)

  Sets document DTD standalone. The public and system identifiers must be null for the document to be serialized as standalone.
  Parameters:
    `standalone` - True if document DTD is standalone
  Overrides:
    setStandalone in class OutputFormat

### setNonEscapingElements

    public void setNonEscapingElements(QName[] nonEscapingElements)

  Sets the list of elements for which text node children should be output unescaped (no character references).
  Parameters:
    `nonEscapingElements` - List of unescaped element tag names
  Overrides:
    setNonEscapingElements in class OutputFormat

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.